product

Allows you to scrape the product details from Google Shopping via our ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint: The /google/product API endpoint allows you to GET the results of your Google Shopping Product query.
Authentication: API-KEY. Use your API-KEY for authentication.
Output format: html, json, csv

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. See more about the results here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
required
Defaults to 14747042981260107367

Parameter to identify the product in Google's database by a string of numbers and letters. Google Product IDs are returned by Google Shopping query requests.

string
Defaults to new york

The location parameter specifies the geographic location where the search query is performed. You can input any location as free text, but if you select one of ScrapeIN's predefined locations, the google_domain, gl, and hl parameters will be automatically adjusted to match the country, language, and domain of the selected location. Please note that this automatic behavior can be turned off using the location_auto parameter. It is crucial to specify the correct location that matches the product_ID you're requesting to ensure accurate results (locations can be retrieved via the Location API).

string
enum
Defaults to json

The output parameter helps you get the data you want in an organized way, which is easy to work with. By default, you get the data in a structured JSON format. You can also get the actual content of the webpage in an organized HTML format by using html. Or you can choose to get the data in a CSV format by setting the parameter to csv.

Allowed:
string

This parameter allows you to specify whether you want to receive only raw data from the Google SERP API. When set to true, the request will be processed exclusively for raw data through the raw data balance when the balance is positive. If these conditions are not met, the request will not be processed for raw data.

boolean

Indicates whether a product is eligible for free shipping or not. If set to true, the product is eligible for free shipping. If set to false, it means that the customer may need to pay additional shipping charges when purchasing the product.

boolean

This parameter determines that only new (non-used) products are returned. Valid values are: true or false.

boolean

This parameter determines that only used (non-new) products are returned. Valid values are: true or false.

string
enum
Defaults to google.com

Specifies the domain of Google to execute the search query on. A complete list of supported values for the google_domain parameter can be viewed here. The default value is google.com.

string
enum
Defaults to us

The gl parameter is used to specify the Google country to be used in the search query. Check out the list of supported values for gl here. The default value for gl is set to us.

string
enum
Defaults to en

The hl parameter is responsible for determining the Google user interface language for the returned results. Check out the list of supported values for hl here. The default value for hl is set to en.

boolean

The location_auto parameter is used to control whether the google_domain, gl and hl parameters are automatically updated when using a predefined location from the Location API. The default value is true, which enables this behavior, while false disables it.

string

The uule parameter is a customizable parameter that can be passed through to Google. When using the location parameter, ScrapeIN generates the uule parameter automatically. However, you can directly specify a uule to overwrite the automatically generated one.

string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

This parameter instructs the API to exclude Base64 images from the response. When SERP pages contain Base64-encoded images, including them in the response can significantly increase its size. Therefore, excluding these images can be beneficial in reducing the response size.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json